curl -X GET "https://api.whatabot.app/api/v1/kanban/pipelines?page=0&size=20" \
-H "X-Api-Key: wh_your_api_key"
{
"content": [
{
"id": "pipeline-uuid",
"name": "Vendas",
"workspaceId": "workspace-uuid",
"workspaceName": "Meu Workspace",
"defaultGroupBy": null,
"columnAggregation": null,
"fields": [
{
"id": "field-uuid",
"name": "Valor",
"type": "currency",
"required": false,
"isFeatured": true,
"order": 0,
"options": null,
"currency": "BRL"
}
],
"stages": [
{
"id": "stage-uuid",
"pipelineId": "pipeline-uuid",
"name": "Novo",
"order": 0,
"color": "#00a884"
}
],
"createdAt": "2026-04-20T10:00:00.000Z",
"updatedAt": "2026-04-20T10:00:00.000Z"
}
],
"totalElements": 1,
"totalPages": 1,
"number": 0,
"size": 20,
"first": true,
"last": true
}
Lista todos os pipelines do kanban no espaço de trabalho.
curl -X GET "https://api.whatabot.app/api/v1/kanban/pipelines?page=0&size=20" \
-H "X-Api-Key: wh_your_api_key"
{
"content": [
{
"id": "pipeline-uuid",
"name": "Vendas",
"workspaceId": "workspace-uuid",
"workspaceName": "Meu Workspace",
"defaultGroupBy": null,
"columnAggregation": null,
"fields": [
{
"id": "field-uuid",
"name": "Valor",
"type": "currency",
"required": false,
"isFeatured": true,
"order": 0,
"options": null,
"currency": "BRL"
}
],
"stages": [
{
"id": "stage-uuid",
"pipelineId": "pipeline-uuid",
"name": "Novo",
"order": 0,
"color": "#00a884"
}
],
"createdAt": "2026-04-20T10:00:00.000Z",
"updatedAt": "2026-04-20T10:00:00.000Z"
}
],
"totalElements": 1,
"totalPages": 1,
"number": 0,
"size": 20,
"first": true,
"last": true
}
wh_).curl -X GET "https://api.whatabot.app/api/v1/kanban/pipelines?page=0&size=20" \
-H "X-Api-Key: wh_your_api_key"
{
"content": [
{
"id": "pipeline-uuid",
"name": "Vendas",
"workspaceId": "workspace-uuid",
"workspaceName": "Meu Workspace",
"defaultGroupBy": null,
"columnAggregation": null,
"fields": [
{
"id": "field-uuid",
"name": "Valor",
"type": "currency",
"required": false,
"isFeatured": true,
"order": 0,
"options": null,
"currency": "BRL"
}
],
"stages": [
{
"id": "stage-uuid",
"pipelineId": "pipeline-uuid",
"name": "Novo",
"order": 0,
"color": "#00a884"
}
],
"createdAt": "2026-04-20T10:00:00.000Z",
"updatedAt": "2026-04-20T10:00:00.000Z"
}
],
"totalElements": 1,
"totalPages": 1,
"number": 0,
"size": 20,
"first": true,
"last": true
}